@extends('layouts.admin')

@section('page', 'Profile')

@section('navigation')
                <li class="treeview">
                    <a>
                        <i class="fas fa-user"></i> <span>Account</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        <li><a href="{{ route('panel.profile') }}"><i class="fas fa-id-badge"></i> Profile</a></li>
                        <li><a href="{{ route('panel.change') }}"><i class="fas fa-clipboard"></i> Change</a></li>
                        <li class="hidden-xs"><a href="{{ route('panel.security') }}"><i class="fas fa-lock"></i> Security</a></li>
                    </ul>
                </li>
                <li class="header">NAVIGATION</li>
                <li>
                    <a href="{{ route('panel.home') }}"><i class="fas fa-tachometer-alt"></i> <span>Dashboard</span></a>
                </li>
                @canany(['project_see', 'status_see'])
                <li class="treeview">
                    <a>
                        <i class="fas fa-list"></i> <span>Projects</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        @can('project_see')<li><a href="{{ route('panel.project') }}"><i class="fas fa-clipboard"></i> Project</a></li>@endcan
                        @can('order_see')<li><a href="{{ route('panel.order') }}"><i class="fas fa-file-invoice"></i> Order</a></li>@endcan
                        @can('status_see')<li><a href="{{ route('panel.status') }}"><i class="fas fa-clipboard"></i> Status</a></li>@endcan
                    </ul>
                </li>
                @endcanany
                <li class="active treeview menu-open">
                    <a>
                        <i class="fas fa-user"></i> <span>Management</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        <li class="active"><a><i class="fas fa-id-badge"></i> Users</a></li>
                        @can('roles_see')<li><a href="{{ route('panel.role') }}"><i class="fas fa-lock"></i> Roles</a></li>@endcan
                    </ul>
                </li>
@endsection

@section('content')
            <div class="col-xs-12 col-lg-6 col-lg-offset-3 col-md-8 col-md-offset-2">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">{{ $user->fullname() }}</h3>
                        <small style="float: right"><a class="btn btn-primary" href="{{ url()->previous() }}">Back</a></small>
                    </div>
                    <div class="box-body">
                        <p><strong>ID: </strong>#{{ $user->id }}
                        <br><strong>First Name:</strong> {{ $user->firstname }}
                        <br><strong>Sur Name:</strong> {{ $user->surname }}
                        <p><strong>Roles: </strong>@php($roles = $user->roles->sortBy('index')->all()) @if(!empty($roles)) {!! implode(' ', array_map(function ($v, $k) { return '<small><span class="role" style="background-color: '.$v->color.'">'.$v->readable_name.'</span></small>'; }, $roles, array_keys($roles))) !!} @else <small><span class="role" style="background-color: #7f8c8d">None</span></small> @endif </p>
                        <p><strong>Permissions: </strong>@php($permissions = $user->permissions->all()) @if(!empty($permissions)) {!! implode(' ', array_map(function ($v, $k) { return '<small><span class="role" style="background-color: #7f8c8d">'.$v->name.'</span></small>'; }, $permissions, array_keys($permissions))) !!} @else <small><span class="role" style="background-color: #7f8c8d">None</span></small> @endif </p>
                    </div>
                </div>
            </div>
@endsection
